Summary
Get compliance report metadata for a batch.
Description
Get compliance report metadata by batch ID.
Route
GET /configuration_manager/compliance_reports/batch/:batchId
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| batchId |
string |
yes |
- |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| complianceHistory |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "draft v4",
"nodePath": "base",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 15893192,
"warnings": 52773352,
"infos": 99256922,
"passes": 48854084
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 26352366,
"warnings": 29755495,
"infos": 19144979,
"passes": 77359614
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "initial",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 72170309,
"warnings": 48662700,
"infos": 15368865,
"passes": 14084881
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 84138659,
"warnings": 37601533,
"infos": 28234732,
"passes": 51043423
}
}
]